diff -r -u src/gnuwin32/MkRules.dist src/gnuwin32/MkRules.dist
--- src/gnuwin32/MkRules.dist	2021-11-18 14:27:36.511467500 +0100
+++ src/gnuwin32/MkRules.dist	2021-11-18 14:46:25.083440400 +0100
@@ -46,16 +46,16 @@
 # Include the trailing /, and use / not \.
 # Do this in the more detailed options below
 # Set this to 32 or 64
-# WIN = 32
+# WIN = 64
 
 
 ### BEGIN more detailed options
 # Some of the toolchains have prefixes for e.g. ar, gcc.
 # This can also be used to give the full path to the compiler, 
 # including a trailing / .  
-# BINPREF = c:/rtools40/mingw32/bin/
+# BINPREF = 
 # prefix for 64-bit:
-# BINPREF64 = c:/rtools40/mingw64/bin/
+# BINPREF64 =
 # Set this to indicate a non-gcc compiler and version
 # COMPILED_BY = <determined automatically>
 
diff -r -u src/gnuwin32/MkRules.rules src/gnuwin32/MkRules.rules
--- src/gnuwin32/MkRules.rules	2021-11-28 11:32:10.615753600 +0100
+++ src/gnuwin32/MkRules.rules	2021-11-28 11:35:23.052473400 +0100
@@ -2,36 +2,41 @@
 
 ## Defaults for user settings.  See MkRules.dist for descriptions.
 
-LOCAL_SOFT ?= $(R_HOME)/extsoft
+LOCAL_SOFT ?= $(patsubst %/bin/gcc,%,$(shell which gcc))
 EXT_LIBS ?= $(LOCAL_SOFT)
 G_FLAG ?= -gdwarf-2
 USE_ATLAS ?= NO
 ATLAS_PATH ?= 
 MULTI ?=
 TOOL_PATH ?=
-BINPREF ?= c:/rtools40/mingw32/bin/
-BINPREF64 ?= c:/rtools40/mingw64/bin/
+BINPREF ?= 
+BINPREF64 ?= 
 COMPILED_BY ?= gcc-$(shell $(CC) --version | egrep -o "([0-9]{1,}\.){2,}[0-9]{1,}")
 M_ARCH ?=
 AS_ARCH ?=
 RC_ARCH ?=
 DT_ARCH ?=
-WIN ?= 32
+WIN ?= 64
+USE_ICU ?= YES
 ICU_PATH ?= 
-ICU_LIBS ?= -lsicuin -lsicuuc -lsicudt -lstdc++
+ICU_LIBS ?= -lsicuin -lsicuuc $(EXT_LIBS)/lib/sicudt.a -lstdc++
 CAIRO_HOME ?=
-USE_CAIRO ?= $(if $(CAIRO_HOME),YES)
-CAIRO_CPPFLAGS ?= "-I$(CAIRO_HOME)/win$(WIN)"
-CAIRO_LIBS ?= "-L$(CAIRO_HOME)/win$(WIN) -lcairo -lpixman-1 -lpng -lz -lgdi32 -lmsimg32"
-CURL_CA_BUNDLE ?= /usr/ssl/certs/curl-ca-bundle.crt
+USE_CAIRO ?= YES
+CAIRO_CPPFLAGS ?= -I$(EXT_LIBS)/include/cairo
+CAIRO_LIBS ?= "-lcairo -lfontconfig -lfreetype -lpng -lpixman-1 -lexpat -lharfbuzz -lbz2 -lintl -lz -liconv -lgdi32 -lmsimg32"
+CURL_CA_BUNDLE ?=
+USE_LIBCURL = yes
+CURL_LIBS ?= -lcurl -lzstd -lrtmp -lssl -lssh2 -lgcrypt -lcrypto -lgdi32 -lz -lws2_32 -lgdi32 -lcrypt32 -lidn2 -lunistring -liconv -lgpg-error -lwldap32 -lwinmm
+
 BUILD_HTML ?= NO
 MIKTEX ?= TRUE
-TEXI2ANY ?= missing
-TEXI2DVI ?= texi2dvi
+TEXI2ANY ?= texi2any
+TEXI2DVI = env COMSPEC= texi2dvi
+MAKEINFO = texi2any
 EOPTS ?= -mfpmath=sse -msse2 -mstackrealign -fexceptions
 OPENMP ?= -fopenmp
 PTHREAD ?= -pthread
-ISDIR ?= C:/packages/Inno
+ISDIR ?= C:/Program Files (x86)/Inno Setup 6
 QPDF ?=
 HOME32 ?=
 DLLs32 ?=
diff -r -u src/gnuwin32/fixed/etc/Makeconf src/gnuwin32/fixed/etc/Makeconf
--- src/gnuwin32/fixed/etc/Makeconf	2021-11-18 14:46:00.345806600 +0100
+++ src/gnuwin32/fixed/etc/Makeconf	2021-11-18 14:46:25.099150500 +0100
@@ -14,9 +14,6 @@
 DLLFLAGS += -static-libgcc
 LINKFLAGS += -static-libgcc
 
-## The rtools40 installer sets RTOOLS40_HOME, default to standard install path
-RTOOLS40_HOME ?= c:/rtools40
-RTOOLS40_ROOT ?= $(subst \,/,$(RTOOLS40_HOME))
 
 ## Things which are substituted by fixed/Makefile (and also -O3 -> -O2)
 WIN = 32
@@ -33,7 +30,23 @@
 RC_ARCH =
 # Used by packages tcltk and tkrplot
 TCL_HOME = $(R_HOME)/Tcl
+
+# automatically rewritten to assign value from MkRules
 LOCAL_SOFT ?=
+
+R_INSTALLER_BUILD = no
+# INSTALLER-BUILD: R_INSTALLER_BUILD = yes
+ifeq ($(R_INSTALLER_BUILD), yes)
+  ifneq ($(strip $(R_CUSTOM_TOOLS_SOFT)),)
+    LOCAL_SOFT = $(R_CUSTOM_TOOLS_SOFT)
+  else
+    ## The rtools42 installer sets RTOOLS42_HOME
+    RTOOLS42_HOME ?= c:/rtools42
+    LOCAL_SOFT = $(subst \,/,$(RTOOLS42_HOME))/x86_64-w64-mingw32.static.posix
+  endif
+endif
+R_TOOLS_SOFT ?= $(LOCAL_SOFT)
+
 NM_FILTER =
 
 ifneq ($(strip $(LOCAL_SOFT)),)
diff -r -u src/gnuwin32/fixed/etc/Rcmd_environ src/gnuwin32/fixed/etc/Rcmd_environ
--- src/gnuwin32/fixed/etc/Rcmd_environ	2021-11-18 11:59:53.282184700 +0100
+++ src/gnuwin32/fixed/etc/Rcmd_environ	2021-11-18 14:46:25.106231600 +0100
@@ -34,3 +34,7 @@
 # R_PDFVIEWER=${R_PDFVIEWER-'open'}
 # MAKE=${MAKE-make}
 SED=${SED-sed}
+
+# INSTALLER-BUILD:R_RTOOLS42_PATH="${RTOOLS42_HOME:-c:/rtools42}/x86_64-w64-mingw32.static.posix/bin;${RTOOLS42_HOME:-c:/rtools42}/usr/bin"
+# INSTALLER-BUILD:PATH="${R_CUSTOM_TOOLS_PATH:-${R_RTOOLS42_PATH}};${PATH}"
+
diff -r -u src/gnuwin32/installer/Makefile src/gnuwin32/installer/Makefile
--- src/gnuwin32/installer/Makefile	2021-11-18 14:46:03.307337900 +0100
+++ src/gnuwin32/installer/Makefile	2021-11-18 14:46:25.106231600 +0100
@@ -102,11 +102,14 @@
 # This is odd -- better to clean the copy
 	(cd ..; $(MAKE) --no-print-directory PKGDIR=. pkgclean-windlgs)
 	$(CP) -pR ../windlgs $(RPREFIX)/src/library
-ifeq "$(WIN)" "64" 	
+ifeq "$(WIN)" "64" 
 # Edit Makeconf
-	$(SED) -e 's!^LOCAL_SOFT [?]= .*!LOCAL_SOFT ?= $$(patsubst %/bin/gcc,%,$$(shell which gcc))!' \
-	  $(R_HOME)/etc/x64/Makeconf > $(RPREFIX)/etc/x64/Makeconf
-endif	  
+	$(SED) -i -e 's!# INSTALLER-BUILD:!!' $(RPREFIX)/etc/x64/Makeconf
+# Edit Rcmd_environ
+	$(SED) -i -e 's!# INSTALLER-BUILD:!!' $(RPREFIX)/etc/Rcmd_environ
+# Edit base package profile
+	$(SED) -i -e 's!# INSTALLER-BUILD:!!' $(RPREFIX)/library/base/R/Rprofile
+endif
 # test dir
 	mkdir $(RPREFIX)/tests
 	$(MAKE) --no-print-directory -C ../../../tests -f Makefile.win \
diff -r -u src/gnuwin32/installer/code.iss src/gnuwin32/installer/code.iss
--- src/gnuwin32/installer/code.iss	2021-11-18 11:59:54.277575600 +0100
+++ src/gnuwin32/installer/code.iss	2021-11-18 14:46:25.115313500 +0100
@@ -23,6 +23,7 @@
   option : String;
   index : Integer;
 begin
+  WizardForm.DiskSpaceLabel.Visible := False;
   NoAdminPage := CreateOutputMsgPage(wpWelcome, SetupMessage(msgInformationTitle), 
     CustomMessage('adminprivilegesrequired'), CustomMessage('adminexplanation'));
   
diff -r -u src/library/profile/Rprofile.windows src/library/profile/Rprofile.windows
--- src/library/profile/Rprofile.windows	2021-11-18 11:59:54.433885200 +0100
+++ src/library/profile/Rprofile.windows	2021-11-18 14:46:25.115313500 +0100
@@ -60,3 +60,17 @@
        file.exists(ca_path <- file.path(R.home("etc"), "curl-ca-bundle.crt")))
         Sys.setenv(CURL_CA_BUNDLE = ca_path)
 })
+
+local({
+    setRtools42Path <- 0
+    # INSTALLER-BUILD: setRtools42Path <- 1
+
+    if (setRtools42Path) {
+        rthome <- Sys.getenv("RTOOLS42_HOME", "c:/rtools42")
+        rtpath <- paste0(rthome, "/x86_64-w64-mingw32.static.posix/bin;",
+                         rthome, "/usr/bin")
+        path <- Sys.getenv("R_CUSTOM_TOOLS_PATH", rtpath)
+        Sys.setenv(R_RTOOLS42_PATH = rtpath)
+        Sys.setenv(PATH = paste0(path, ";", Sys.getenv("PATH")))
+    }
+})
